/* RESET */

* {
	margin: 0;
	padding: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	font-family: "Poppins", sans-serif;
	-webkit-transition: 0.25s ease-in-out;
	-moz-transition: 0.25s ease-in-out;
	-o-transition: 0.25s ease-in-out;
	transition: 0.25s ease-in-out;
}

body {
	margin: 0;
	padding: 0;
	min-height: 100vh;
	background: #ffffff;
	color: #333333;
	font-size: 100%;
}

a {
	text-decoration: none;
}

ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.menu-container {
	position: fixed;
	z-index: 9999;
	width: calc(100% - 40px);
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
	align-content: normal;
	max-width: 1360px;
	left: 50%;
	padding: 20px;
	transform: translateX(-50%);
}

.menu-container.scrolled {
	padding: 8px 20px;
	margin-top: 10px;
	border-radius: 20px;
	/* background: #362526; */
	background-color: #ffffff;
	box-shadow: 1px 1px 1px 1px rgba(0, 0, 0, 0.331);
	color: white;
}

#menu-ul.scrolled li a {
	/* color: white; */
	color: #000000;
	font-weight: 400;
	font-size: 1.2rem;
}

.hamburger {
	display: none;
}

.menu {
	display: block;
	flex-grow: 1;
	flex-shrink: 1;
	flex-basis: auto;
	align-self: auto;
	order: 0;
	text-align: right;
	max-width: 100%;
	align-self: flex-start;
	margin-top: 36px;
	margin-right: 3px;
}

.menu.scrolled {
	margin-top: 15px;
	color: white;
}

@keyframes openMenu {
	0% {
		margin-top: 0;
	}

	100% {
		margin-top: 15px;
	}
}

.menu nav {
	float: right;
}

.menu nav.active {
	background: #ffffff;
	display: block !important;
	margin-top: 20px;
	padding-top: 15px;
	padding-bottom: 23px;
	padding-right: 30px;
	margin-right: 0;
	opacity: 0.86;
}

.menu ul li {
	display: inline;
	float: left;
	margin-left: 20px;
	color: #534136;
}

.menu ul li a:link,
.menu ul li a:visited {
	color: #534136;
}
.menu ul li a:hover,
.menu ul li a:active {
	color: #000000;
	text-decoration: underline;
}

.menu ul li a.active {
	text-decoration: underline;
}

.site-logo {
	display: block;
	flex-grow: 0;
	flex-shrink: 1;
	flex-basis: auto;
	align-self: auto;
	order: 0;
	align-self: flex-start;
}

#site-logo.scrolled {
	width: 80px !important;
	height: 60px !important;
}

#openLangSelector {
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 5px;
}

#openLangSelector a {
	font-size: 16px;
}
#langSelector {
	position: absolute;
	background: #ffffff;
	padding: 15px;
	min-width: 200px;
	/* margin-left: -160px; */
	margin-top: 0px;
	display: none;
	border-radius: 20px;
	text-align: left;
}

#langSelector ul li {
	margin-left: 0px;
}

#langSelector.open {
	display: block;
}

#langSelector div {
	display: block;
}

.hueso {
	transform: rotate(-45deg);
}

/* Estilos básicos del menú desplegable */
.dropdown {
	position: relative;
	display: inline-block;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 50px;
	padding-top: 14.5px;
}

.dropdown-content {
	display: none;
	position: absolute;
	top: 40px;
	background-color: white;
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
	border-radius: 10px;
	min-width: 160px;
	z-index: 1;
	padding-top: 10px;
}

.dropdown-content li {
	background-color: #fff;
}

.dropdown-content li a {
	color: black;
	text-decoration: none;
	display: block;
}

.dropdown:hover .dropdown-content {
	display: block;
}
